----------------------
-- Rewards Category --
----------------------

local AchieveIt = AchieveIt;

-- Locale
local L = LibStub("AceLocale-3.0"):GetLocale("AchieveIt");

-- The achievement category ID - top level achievement
local categoryId = false;

-- titles
local titleAchievements	= {
	6742,
	978,
	870,
	5363,
	1516,
	{ id = 762, faction = AchieveIt.Factions.HORDE },
	5827,
	4583,
	{ id = 1175, faction = AchieveIt.Factions.HORDE },
	{ id = 5351, faction = AchieveIt.Factions.HORDE },
	1683,
	{ id = 5338, faction = AchieveIt.Factions.HORDE },
	6374,
	{ id = 5353, faction = AchieveIt.Factions.HORDE },
	1658,
	5506,
	6177,
	{ id = 2816, faction = AchieveIt.Factions.HORDE },
	{ id = 2765, faction = AchieveIt.Factions.HORDE },
	{ id = 2766, faction = AchieveIt.Factions.HORDE },
	{ id = 2767, faction = AchieveIt.Factions.HORDE },
	{ id = 2768, faction = AchieveIt.Factions.HORDE },
	{ id = 2769, faction = AchieveIt.Factions.HORDE },
	{ id = 5349, faction = AchieveIt.Factions.HORDE },
	1693,
	1793,
	{ id = 5355, faction = AchieveIt.Factions.HORDE },
	{ id = 5346, faction = AchieveIt.Factions.HORDE },
	953,
	1563,
	1656,
	{ id = 6941, faction = AchieveIt.Factions.HORDE },
	5123,
	6116,
	5116,
	5803,
	6734,
	5121,
	6724,
	{ id = 5356, faction = AchieveIt.Factions.HORDE },
	4854,
	7284,
	4856,
	2188,
	{ id = 5352, faction = AchieveIt.Factions.HORDE },
	{ id = 5354, faction = AchieveIt.Factions.HORDE },
	4477,
	7306,
	1691,
	2798,
	3036,
	3037,
	3478,
	{ id = 7509, faction = AchieveIt.Factions.HORDE },
	{ id = 5345, faction = AchieveIt.Factions.HORDE },
	{ id = 5348, faction = AchieveIt.Factions.HORDE },
	{ id = 5347, faction = AchieveIt.Factions.HORDE },
	{ id = 5350, faction = AchieveIt.Factions.HORDE },
	6607,
	1174,
	945,
	4598,
	{ id = 714, faction = AchieveIt.Factions.HORDE },
	{ id = 943, faction = AchieveIt.Factions.HORDE },
	{ id = 1039, faction = AchieveIt.Factions.HORDE },
	4530,
	4597,
	4584,
	7520,
	7479,
	2051,
	2054,
	913,
	6926,
	{ id = 5325, faction = AchieveIt.Factions.HORDE },
	5879,
	{ id = 5326, faction = AchieveIt.Factions.HORDE },
	{ id = 5342, faction = AchieveIt.Factions.HORDE },
	4855,
	46,
	6590,
	{ id = 948, faction = AchieveIt.Factions.ALLIANCE },
	{ id = 230, faction = AchieveIt.Factions.ALLIANCE },
	{ id = 5340, faction = AchieveIt.Factions.ALLIANCE },
	{ id = 5331, faction = AchieveIt.Factions.ALLIANCE },
	{ id = 2817, faction = AchieveIt.Factions.ALLIANCE },
	{ id = 2760, faction = AchieveIt.Factions.ALLIANCE },
	{ id = 2762, faction = AchieveIt.Factions.ALLIANCE },
	{ id = 2763, faction = AchieveIt.Factions.ALLIANCE },
	{ id = 2764, faction = AchieveIt.Factions.ALLIANCE },
	{ id = 2761, faction = AchieveIt.Factions.ALLIANCE },
	{ id = 5357, faction = AchieveIt.Factions.ALLIANCE },
	{ id = 5343, faction = AchieveIt.Factions.ALLIANCE },
	{ id = 6942, faction = AchieveIt.Factions.ALLIANCE },
	{ id = 5335, faction = AchieveIt.Factions.ALLIANCE },
	{ id = 5337, faction = AchieveIt.Factions.ALLIANCE },
	{ id = 5359, faction = AchieveIt.Factions.ALLIANCE },
	{ id = 5336, faction = AchieveIt.Factions.ALLIANCE },
	{ id = 5339, faction = AchieveIt.Factions.ALLIANCE },
	{ id = 5341, faction = AchieveIt.Factions.ALLIANCE },
	{ id = 5333, faction = AchieveIt.Factions.ALLIANCE },
	{ id = 5330, faction = AchieveIt.Factions.ALLIANCE },
	{ id = 6874, faction = AchieveIt.Factions.ALLIANCE },
	{ id = 5332, faction = AchieveIt.Factions.ALLIANCE },
	{ id = 5334, faction = AchieveIt.Factions.ALLIANCE },
	{ id = 942, faction = AchieveIt.Factions.ALLIANCE },
	{ id = 1038, faction = AchieveIt.Factions.ALLIANCE },
	{ id = 907, faction = AchieveIt.Factions.ALLIANCE },
	{ id = 5328, faction = AchieveIt.Factions.ALLIANCE },
	{ id = 5329, faction = AchieveIt.Factions.ALLIANCE },
	8023,
	-- Added in 5.2
	AchieveIt.TOC_VERSION > 50100 and { id = 8052, faction = AchieveIt.Factions.ALLIANCE } or nil,
	AchieveIt.TOC_VERSION > 50100 and { id = 8055, faction = AchieveIt.Factions.HORDE } or nil,
	AchieveIt.TOC_VERSION > 50100 and 8067 or nil,
	AchieveIt.TOC_VERSION > 50100 and 8121 or nil,
	-- Added in 5.3
	AchieveIt.TOC_VERSION > 50200 and { id = 8307, faction = AchieveIt.Factions.HORDE } or nil,
	AchieveIt.TOC_VERSION > 50200 and { id = 8306, faction = AchieveIt.Factions.ALLIANCE } or nil,
	AchieveIt.TOC_VERSION > 50200 and 8301 or nil,
	AchieveIt.TOC_VERSION > 50200 and 8360 or nil,
	AchieveIt.TOC_VERSION > 50200 and 8392 or nil
};

-- mounts
local mountAchievements		= {
	{ id = 5328, faction = AchieveIt.Factions.ALLIANCE },
	{ id = 5325, faction = AchieveIt.Factions.HORDE },
	6375,
	{ id = 2536, faction = AchieveIt.Factions.ALLIANCE },
	5828,
	5866,
	{ id = 6828, faction = AchieveIt.Factions.ALLIANCE },
	{ id = 6827, faction = AchieveIt.Factions.HORDE },
	{ id = 2537, faction = AchieveIt.Factions.HORDE },
	2143,
	{ id = 614, faction = AchieveIt.Factions.ALLIANCE },
	{ id = 619, faction = AchieveIt.Factions.HORDE },
	4602,
	6927,
	4853,
	6932,
	4603,
	2958,
	2136,
	2957,
	6169,
	4845,
	{ id = 7860, faction = AchieveIt.Factions.ALLIANCE },
	{ id = 7862, faction = AchieveIt.Factions.HORDE },
	2091,
	{ id = 5823, faction = AchieveIt.Factions.ALLIANCE },
	{ id = 5824, faction = AchieveIt.Factions.HORDE },
	{ id = 5329, faction = AchieveIt.Factions.ALLIANCE },
	{ id = 5326, faction = AchieveIt.Factions.HORDE },
	2144,
	-- Added in 5.2
	AchieveIt.TOC_VERSION > 50100 and 8124 or nil,
	-- Added in 5.3
	AchieveIt.TOC_VERSION > 50200 and { id = 8304, faction = AchieveIt.Factions.ALLIANCE } or nil,
	AchieveIt.TOC_VERSION > 50200 and { id = 8302, faction = AchieveIt.Factions.HORDE } or nil
};

-- companion pets
local petAchievements	= {
	7500,
	1956,
	2516,
	6402,
	5875,
	4478,
	5877,
	5876,
	3478,
	6582,
	7934,
	5449,
	1250,
	7501,
	5860,
	7521,
	-- Added in 5.3
	AchieveIt.TOC_VERSION > 50200 and 8300 or nil,
	AchieveIt.TOC_VERSION > 50200 and 8293 or nil
};

-- items
local itemAchievements = {
	6378,
	1956,
	7908,
	2096,
	5859,
	{ id = 7939, faction = AchieveIt.Factions.HORDE },
	{ id = 7940, faction = AchieveIt.Factions.ALLIANCE },
	7385,
	6556,
	6566,
	7433,
	6581,
	-- Added in 5.3
	AchieveIt.TOC_VERSION > 50200 and 8348 or nil,
	AchieveIt.TOC_VERSION > 50200 and { id = 8335, faction = AchieveIt.Factions.ALLIANCE } or nil,
	AchieveIt.TOC_VERSION > 50200 and { id = 8337, faction = AchieveIt.Factions.HORDE } or nil,
	AchieveIt.TOC_VERSION > 50200 and { id = 8340, faction = AchieveIt.Factions.ALLIANCE } or nil,
	AchieveIt.TOC_VERSION > 50200 and { id = 8343, faction = AchieveIt.Factions.HORDE } or nil
};

-- tabards
local tabardAchievements = {
	876,
	45,
	{ id = 3957, faction = AchieveIt.Factions.HORDE },
	1021,
	{ id = 3857, faction = AchieveIt.Factions.ALLIANCE },
	7520
};

-- quests
local questAchievements = {
	7936,
	7525,
	6605,
	6604,
	6606,
	{ id = 6602, faction = AchieveIt.Factions.HORDE },
	{ id = 3677, faction = AchieveIt.Factions.HORDE },
	{ id = 3676, faction = AchieveIt.Factions.ALLIANCE },
	{ id = 6603, faction = AchieveIt.Factions.ALLIANCE },
	-- Added in 5.2
	AchieveIt.TOC_VERSION > 50100 and 8080 or nil
};

-- teleports
local teleportAchievements = {
	6907,
	6901,
	6910,
	6913,
	6916,
	6904,
	6919,
	6891,
	6887
};

-- Add category
local category = AchieveIt.Categories:addCategory(categoryId, _G["REWARDS"]);

-- add children
category:addChild(_G["UNIT_NAME_PLAYER_TITLE"], titleAchievements);
category:addChild(_G["MOUNTS"], mountAchievements);
category:addChild(_G["PETS"], petAchievements);
category:addChild(L["Tabards"], tabardAchievements);
category:addChild(_G["ITEMS"], itemAchievements);
category:addChild(_G["QUESTS_LABEL"], questAchievements);
category:addChild(L["Teleports"], teleportAchievements);

category:inheritAchievements();